Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 212898 (DG-Renderer-Pager)

Summary: Review Request: php-pear-Structures-DataGrid-Renderer-Pager - Renderer driver using PEAR::Pager
Product: [Fedora] Fedora Reporter: Christopher Stone <chris.stone>
Component: Package ReviewAssignee: Jason Tibbitts <j>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideFlags: wtogami: fedora-cvs+
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-11-16 03:57:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 212856, 212897    
Bug Blocks: 163779, 212900    

Description Christopher Stone 2006-10-30 01:20:06 UTC
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Structures-DataGrid-Renderer-Pager.spec

SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Structures-DataGrid-Renderer-Pager-0.1.0-1.src.rpm

Description:
This is a Renderer driver for Structures_DataGrid using PEAR::Pager.

Comment 1 Jason Tibbitts 2006-11-15 18:17:25 UTC
Wow, that's a long filename.  And another no-documentation package, as well. 
What's with the PHP folks?

W: php-pear-Structures-DataGrid-Renderer-Pager no-documentation
W: php-pear-Structures-DataGrid-Renderer-Pager filename-too-long-for-joliet
php-pear-Structures-DataGrid-Renderer-Pager-0.1.0-1.fc7.noarch.rpm

I am not sure what the implications of the massive filename are.  There's
nothing in the guidelines about limiting the length of filenames so I don't
think it's a blocker, but I think the issue needs to be discussed.

Also, php-pear-Structures-DataGrid doesn't seem to be at my mirror yet even
though it was pushed 18 hours ago.  I put it in a local repository.

* source files match upstream:
  6604bb72ff0b78c8651cd17eef0d5fe4  Structures_DataGrid_Renderer_Pager-0.1.0.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
O rpmlint output is OK
* final provides and requires are sane:
   php-pear(Structures_DataGrid_Renderer_Pager) = 0.1.0
   php-pear-Structures-DataGrid-Renderer-Pager = 0.1.0-1.fc7
  =
   /bin/sh
   /usr/bin/pear
   php-pear(PEAR)
   php-pear(Pager)
   php-pear(Structures_DataGrid)
* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module installation).
* code, not content.
* no documentation, so no -docs subpackage is necessary.

APPROVED

Comment 2 Christopher Stone 2006-11-16 03:57:33 UTC
This package is still beta and is probably why there is no documentation yet.  I
don't think the file name length is a problem unless you are making joilet CDs
with extras packages.

Comment 3 Christopher Stone 2007-05-06 23:19:21 UTC
Package Change Request
======================
Package Name: php-pear-Structures-DataGrid-Renderer-Pager
New Branches: EL-5